import request from '@/utils/request'




// 获取订单数据
export function getIndexOrderInfo(query) {
    return request({
        url: '/isv/supply_chain/indexOrderInfo',
        method: 'get',
        params: query
    })
}

// 获取服务费数据
export function getIndexServiceAmountInfo(query) {
    return request({
        url: '/isv/supply_chain/indexServiceAmountInfo',
        method: 'get',
        params: query
    })
}


// 获取金额数据
export function getIndexAmountInfo(query) {
    return request({
        url: '/isv/supply_chain/indexAmountInfo',
        method: 'get',
        params: query
    })
}


// 获取达人排行
export function getIndexPromoterRank(query) {
    return request({
        url: '/isv/supply_chain/indexPromoterRank',
        method: 'get',
        params: query
    })
}


// 获取商品排行
export function getIndexOrderRank(query) {
    return request({
        url: '/isv/supply_chain/indexOrderRank',
        method: 'get',
        params: query
    })
}

// 首页订单统计-echarts图表
export function getIndexStatistics(query) {
    return request({
        url: '/isv/supply_chain/indexStatistics',
        method: 'get',
        params: query
    })
}


// 首页时间段对比
export function getTimeRatio(query) {
    return request({
        url: '/isv/supply_chain/indexTimeIntervalRatio',
        method: 'get',
        params: query
    })
}

// 工作台-个人信息

export function getPersonalInfo(query) {
    return request({
        url: '/itemCollectSamples/getPersonalInfo',
        method: 'get',
        params: query
    })
}

// 工作台-订单数据
export function getOrderData(query) {
    return request({
        url: '/itemCollectSamples/getOrderData',
        method: 'get',
        params: query
    })
}

// 工作台-折线图
export function getOrderHourData(query) {
    return request({
        url: '/itemCollectSamples/getOrderHourData',
        method: 'get',
        params: query
    })
}

// 工作台-订单数据
export function getDataAnalysis(query) {
    return request({
        url: '/itemCollectSamples/getDataAnalysis',
        method: 'get',
        params: query
    })
}

// 工作台-销量趋势
export function getBigDataAnalysis(query) {
    return request({
        url: '/itemCollectSamples/getBigDataAnalysis',
        method: 'get',
        params: query
    })
}

export function getMediaId(query) {
  return request({
    url: '/itemCollectSamples/getMediaId',
    method: 'get',
    params: query
  })
}

export function getGmvHour(query) {
  return request({
    url: '/itemCollectSamples/getGmvHour',
    method: 'get',
    params: query
  })
}






